Module java.compiler
Package javax.annotation.processing

# Annotation Type SupportedOptions

    @Documented
    @Target(TYPE)
    @Retention(RUNTIME)
    public @interface SupportedOptions

An annotation used to indicate what options an annotation processor supports. The `Processor.getSupportedOptions()` method can construct its result from the value of this annotation, as done by `AbstractProcessor.getSupportedOptions()`. Only strings conforming to the grammar should be used as values.

Since:
  1.6

## Required Element Summary

Required Elements
Modifier and Type | Required Element | Description
--- | --- | ---
`String[]` | `value` | Returns the supported options.

## Element Details

### value

String[] value
Returns the supported options.

Returns:
  the supported options